Skip to main content
Get datastore
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the datastore

Response

A successful response.

Datastore idetail

name
string
required

User defined name of the datastore, unique across the enterprise. Once datastore is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the datastore. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
dsType
enum<string>
default:DATASTORE_TYPE_UNSPECIFIED
required

Datastore type

Available options:
DATASTORE_TYPE_UNSPECIFIED,
DATASTORE_TYPE_HTTP,
DATASTORE_TYPE_HTTPS,
DATASTORE_TYPE_AWSS3,
DATASTORE_TYPE_SFTP,
DATASTORE_TYPE_CONTAINERREGISTRY,
DATASTORE_TYPE_AZUREBLOB,
DATASTORE_TYPE_ZEDEDAS3,
DATASTORE_TYPE_ZEDEDABLOB,
DATASTORE_TYPE_FILE_STORAGE
dsFQDN
string
required

Datastore Fully Qualified Domain Name

dsPath
string
required

Datastore relative path w.r.t. Datastore root

id
string
read-only

System defined universally unique Id of the datastore.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the datastore.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

enterpriseId
string
apiKey
string
region
string

Datastore region - valid for AWS S3 and Azure BlobStorage

dsStatus
enum<string>
default:DATASTORE_STATUS_UNSPECIFIED

Datastore status

Available options:
DATASTORE_STATUS_UNSPECIFIED,
DATASTORE_STATUS_CREATED,
DATASTORE_STATUS_VERIFYING,
DATASTORE_STATUS_ACTIVE,
DATASTORE_STATUS_INACTIVE,
DATASTORE_STATUS_FAILED
dsErr
string
read-only

Datastore validation detailed error/status message

secret
object

Plain-text sensitive data

encryptedSecrets
object
read-only

Internal - Encrypted sensitive data

cryptoKey
string
read-only

Internal - Encryption Key context

originType
enum<string>
default:ORIGIN_UNSPECIFIED

Origin type of datastore.

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
certificateChain
object

Certificate chain of the certificate

needClearText
boolean

knob for sending creds in clear text

projectAccessList
string[]

project access list of the datastore

isManaged
boolean

Managed datastore or not. Managed datastores are created and managed by ZEDEDA.